Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007697TestLinkTest Plan Managementpublic2016-10-07 22:342016-10-11 17:35
Reporterbhegardt 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformLenovo ThinkServerOSUbuntu LinuxOS Version16.04.1
Product Version1.9.15 (2015 Q4) 
Fixed in Version 
Summary0007697: Comparing versions of test cases results in page not working error
DescriptionAttempting to compare test case versions results in a page not working error
Steps To ReproduceOn the main menu's Test Plan Contents box, choose Show Test Cases Newest Versions

On any Test Case shown, click on the Magnifying Glass icon in the Compare column.

My browser (Google Chrome) complains that the page is not working.
Additional InformationLog shows:

>>][57f8149b53e2d137845970][DEFAULT][/testlink-1.9.15/index.php][16/Oct/7 21:33:15]
    [16/Oct/7 21:33:15][WARNING][<nosession>][GUI]
        E_NOTICE
Use of undefined constant TL_APICALL - assumed 'TL_APICALL' - in /var/www/html/testlink-1.9.15/lib/functions/common.php - Line 57

-----

I don't know if this was working in 1.9.14 or not. I have just upgraded. I use only the basic features of TestLink and do not have plugins installed.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.7
BrowserGoogle Chrome
PHP Versionphp 5.6
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0025495)
fman (administrator)
2016-10-08 07:24

do not thing the TL_APICALL message is the issue.
Anyway to fix it you can get latest code from Github
Then retest.
In order to be able to provide any help detailed steps to reproduce are needed, because test case content can be the issue.
(0025502)
bhegardt (reporter)
2016-10-11 17:35

I retested with the latest code from Github. The problem still occurs, but the log messages regarding TL_APICALL are resolved.

I don't know how to provide the test case content you want. The problem occurs on every test case I have tried.

Since this problem is minor and I don't need this resolved, feel free to close this issue.

- Issue History
Date Modified Username Field Change
2016-10-07 22:34 bhegardt New Issue
2016-10-08 07:24 fman Note Added: 0025495
2016-10-08 07:24 fman Assigned To => fman
2016-10-08 07:24 fman Status new => feedback
2016-10-11 17:35 bhegardt Note Added: 0025502
2016-10-11 17:35 bhegardt Status feedback => assigned



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker